This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000946 - [ja_JP][Admin Portal] String 'System Permissions' broken into two lines in 'Configure' dialog.
[ja_JP][Admin Portal] String 'System Permissions' broken into two lines in 'C...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: nobody nobody
Yuko Katabami
i18n
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 03:41 EDT by Lijun Li
Modified: 2016-02-10 13:59 EST (History)
11 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: i18n
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
String 'System Permissions' broken into two lines in 'Configure' dialog. (30.95 KB, image/png)
2013-08-26 03:43 EDT, Lijun Li
no flags Details
System Permission string fixed in Zanata (32.31 KB, image/png)
2013-09-09 19:56 EDT, Yuko Katabami
no flags Details
System Permission string fixed in Admin Portal (73.67 KB, image/png)
2013-09-25 02:35 EDT, Yuko Katabami
no flags Details

  None (edit)
Description Lijun Li 2013-08-26 03:41:57 EDT
Description of problem:
[ja_JP][Admin Portal] String 'System Permissions' broken into two lines in 'Configure' dialog.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.16.master.el6ev.noarch.rpm
rhevm-webadmin-portal-3.3.0-0.16.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. Login web admin portal.
2. Click on the top right Configure button.


Actual results:
String 'System Permissions' broken into two lines in 'Configure' dialog.

Expected results:
All the strings should be displayed as normally.

Additional info:
Please refer to the attached screen shot for more details.
Comment 1 Lijun Li 2013-08-26 03:43:45 EDT
Created attachment 790326 [details]
String 'System Permissions' broken into two lines in 'Configure' dialog.
Comment 2 Einav Cohen 2013-09-05 14:12:05 EDT
I think that this behavior is reasonable - the layout isn't being broken / text is not being truncated (IIUC) - the text simply takes up the space of two lines, which is fine. 

@Malini/Eldan - can you please confirm that?

[in any case, if needs to be addressed - it should be treated as an Improvement; marking/flagging accordingly]
Comment 3 Lior Vernia 2013-09-09 07:20:30 EDT
Behaviour is fine, perhaps the translator can found a shorter term.
Comment 4 Eldan Hildesheim 2013-09-09 07:44:00 EDT
Sorry - was logged on another user, the comment above is from Eldan:
Behaviour is fine, perhaps the translator can found a shorter term.
Comment 5 Yuko Katabami 2013-09-09 08:06:50 EDT
(In reply to Eldan Hildesheim from comment #4)
> Sorry - was logged on another user, the comment above is from Eldan:
> Behaviour is fine, perhaps the translator can found a shorter term.

The best I can do is to shorten one character from "システムのパーミッション" to "システムパーミッション" which does not solve this problem and it will still be broken into two lines if the width is not extended.
Comment 6 Einav Cohen 2013-09-09 15:41:06 EDT
(In reply to Yuko Katabami from comment #5)
> (In reply to Eldan Hildesheim from comment #4)
> > Sorry - was logged on another user, the comment above is from Eldan:
> > Behaviour is fine, perhaps the translator can found a shorter term.
> 
> The best I can do is to shorten one character from "システムのパーミッション" to
> "システムパーミッション" which does not solve this problem and it will still be broken
> into two lines if the width is not extended.

@Eldan/Malini: The behavior of breaking the term to two lines is obviously acceptable when there are two words or more, and there aren't any words that are 
being "split" across several lines.

What should we do in case the term is long and cannot be shortened? 
[suggestion: adding a "..." suffix and a tooltip with the full-name]
Comment 7 Einav Cohen 2013-09-09 19:25:07 EDT
(In reply to Yuko Katabami from comment #5)
> (In reply to Eldan Hildesheim from comment #4)
> > Sorry - was logged on another user, the comment above is from Eldan:
> > Behaviour is fine, perhaps the translator can found a shorter term.
> 
> The best I can do is to shorten one character from "システムのパーミッション" to
> "システムパーミッション" which does not solve this problem and it will still be broken
> into two lines if the width is not extended.

@Yuko - is there any chance that a similar solution as the one that you suggested in https://bugzilla.redhat.com/show_bug.cgi?id=1001473#c5 can be used here as well?
Comment 8 Yuko Katabami 2013-09-09 19:56:30 EDT
Created attachment 795780 [details]
System Permission string fixed in Zanata
Comment 9 Yuko Katabami 2013-09-09 20:00:12 EDT
(In reply to Einav Cohen from comment #7)
> (In reply to Yuko Katabami from comment #5)
> > (In reply to Eldan Hildesheim from comment #4)
> > > Sorry - was logged on another user, the comment above is from Eldan:
> > > Behaviour is fine, perhaps the translator can found a shorter term.
> > 
> > The best I can do is to shorten one character from "システムのパーミッション" to
> > "システムパーミッション" which does not solve this problem and it will still be broken
> > into two lines if the width is not extended.
> 
> @Yuko - is there any chance that a similar solution as the one that you
> suggested in https://bugzilla.redhat.com/show_bug.cgi?id=1001473#c5 can be
> used here as well?

@Einav - I came up with a better solution.
It is now changed to:
システム権限

Please see attached screenshot of Zanata.
Comment 10 Einav Cohen 2013-09-09 21:13:15 EDT
Thanks, Yuko - I appreciate it.
Comment 11 Einav Cohen 2013-09-09 21:15:43 EDT
removing the 'Improvement' keyword - this is a case of a single word that is being split to two lines, not a few words that are simply occupying more than a single lines.
Comment 12 Einav Cohen 2013-09-10 17:37:44 EDT
@Yuko - if this one is fixed in Zanata / ready to be pulled - can you please move this BZ to the POST state?

Thanks.
Comment 13 Yuko Katabami 2013-09-10 18:57:03 EDT
(In reply to Einav Cohen from comment #12)
> @Yuko - if this one is fixed in Zanata / ready to be pulled - can you please
> move this BZ to the POST state?
> 
> Thanks.


@Einav - Sure. Thanks for letting me know.
Comment 14 Yuko Katabami 2013-09-25 02:35:09 EDT
Created attachment 802585 [details]
System Permission string fixed in Admin Portal
Comment 15 Yuko Katabami 2013-09-25 02:36:06 EDT
Verified fix as attached screenshot.
Moving to VERIFIED.
Comment 16 Itamar Heim 2014-01-21 17:28:51 EST
Closing - RHEV 3.3 Released
Comment 17 Itamar Heim 2014-01-21 17:28:51 EST
Closing - RHEV 3.3 Released
Comment 18 Itamar Heim 2014-01-21 17:31:50 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.